From: Benoit Person <>

The introduction of the Git::Mediawiki package makes it impossible to test,
without installation, git-remote-mediawiki and git-mw.

Using a git bin-wrapper enables us to define proper $GITPERLLIB to force the
use of the developement version of the Git::Mediawiki package, bypassing its
installed version if any.

An alternate solution was to 'install' all the files required at each build
but it pollutes the toplevel with untracked files.

Signed-off-by: Benoit Person <>
Signed-off-by: Matthieu Moy <>

 contrib/mw-to-git/git | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)
 create mode 100755 contrib/mw-to-git/git

diff --git a/contrib/mw-to-git/git b/contrib/mw-to-git/git
new file mode 100755
index 0000000..25b60ad
--- /dev/null
+++ b/contrib/mw-to-git/git
@@ -0,0 +1,25 @@
+# git executable wrapper script for Git-Mediawiki to run tests without
+# installing all the scripts and perl packages.
+# based on $GIT_ROOT_DIR/
+GIT_EXEC_PATH=$(cd "$(dirname "$0")" && cd ${GIT_ROOT_DIR} && pwd)
+if test -n "$NO_SET_GIT_TEMPLATE_DIR"
+       unset GIT_TEMPLATE_DIR
+       GIT_TEMPLATE_DIR="$GIT_EXEC_PATH"'/templates/blt'
+       export GIT_TEMPLATE_DIR
+# Hack to make the `use lib` call works with multiple paths
+exec "${GIT_EXEC_PATH}/git" "$@"
\ No newline at end of file

To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to
More majordomo info at

Reply via email to